# re2-js-generator

## Requires
 - node
 - npm
 - re2c

## Install
```bash
git clone -- http://git.macaw.me:3000/chichenkov/re2-js-generator.git
cd re2-js-generator
npm install
```
## One Minute Guide
You can fast use example:
```bash
npm install
./build_example.sh
cd example/
node lexme.js
```


## Start
```bash
node main.js -inp=<input_file> -o=<output_path> -t=<web|node> <-nb|--no-beautify> <-logs>
```
or
```bash
./run.sh
```
Result fill write in <lexer.js> file.

## Flags
```bash
-inp=<input_file.l>
-o=<output_path>
-t=<web|node>
-nb|--no-beautify
-logs
```

## Test
```bash
node test.js
```

## Manual
Read re2c manual: http://re2c.org/manual/manual.html

Report for bugs: rolahd@yandex.ru